xcopy .\data D:\gocode\ReadyUpdate\data /s /e /y

xcopy .\dbproxy\dbproxy D:\gocode\ReadyUpdate /y
del .\dbproxy\dbproxy
xcopy .\mgrsrv\mgrsrv D:\gocode\ReadyUpdate /y
del .\mgrsrv\mgrsrv
xcopy .\gatesrv\gatesrv D:\gocode\ReadyUpdate /y
del .\gatesrv\gatesrv
xcopy .\worldsrv\worldsrv D:\gocode\ReadyUpdate /y
del .\worldsrv\worldsrv
xcopy .\gamesrv\gamesrv D:\gocode\ReadyUpdate /y
del .\gamesrv\gamesrv
xcopy .\robot\robot D:\gocode\ReadyUpdate /y
del .\robot\robot
xcopy .\ranksrv\ranksrv D:\gocode\ReadyUpdate /y
del .\ranksrv\ranksrv

if exist "D:\gocode\ReadyUpdate\data\gameparam.json" (del D:\gocode\ReadyUpdate\data\gameparam.json)
if exist "D:\gocode\ReadyUpdate\data\clientparam.json" (del D:\gocode\ReadyUpdate\data\clientparam.json)
if exist "D:\gocode\ReadyUpdate\data\thrconfig.json" (del D:\gocode\ReadyUpdate\data\thrconfig.json)
if exist "D:\gocode\ReadyUpdate\data\gamedata.json" (del D:\gocode\ReadyUpdate\data\gamedata.json)
if exist "D:\gocode\ReadyUpdate\data\fishingparam.json" (del D:\gocode\ReadyUpdate\data\fishingparam.json)
if exist "D:\gocode\ReadyUpdate\data\normalparam.json" (del D:\gocode\ReadyUpdate\data\normalparam.json)
if exist "D:\gocode\ReadyUpdate\data\gmac.json" (del D:\gocode\ReadyUpdate\data\gmac.json)
if exist "D:\gocode\ReadyUpdate\data\zone_rob.json" (del D:\gocode\ReadyUpdate\data\zone_rob.json)
if exist "D:\gocode\ReadyUpdate\data\icon_rob.json" (del D:\gocode\ReadyUpdate\data\icon_rob.json)
pause